## org.eclipse.emf.ecoretools.diagram.edit.policies
Class EcoreBaseItemSemanticEditPolicy.LinkConstraints

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.edit.policies.EcoreBaseItemSemanticEditPolicy.LinkConstraints

Enclosing class:
  EcoreBaseItemSemanticEditPolicy

    public static class EcoreBaseItemSemanticEditPolicy.LinkConstraints

extends java.lang.Object

Constructor Summary
`EcoreBaseItemSemanticEditPolicy.LinkConstraints()`

Method Summary
`static boolean` `canCreateEAnnotationReferences_3001(org.eclipse.emf.ecore.EAnnotation source, org.eclipse.emf.ecore.EObject target)`
`static boolean` `canCreateEClassESuperTypes_3003(org.eclipse.emf.ecore.EClass source, org.eclipse.emf.ecore.EClass target)`
`static boolean` `canCreateEReference_3002(org.eclipse.emf.ecore.EClass source, org.eclipse.emf.ecore.EClassifier target)`
`static boolean` `canExistEAnnotationReferences_3001(org.eclipse.emf.ecore.EAnnotation source, org.eclipse.emf.ecore.EObject target)`
`static boolean` `canExistEClassESuperTypes_3003(org.eclipse.emf.ecore.EClass source, org.eclipse.emf.ecore.EClass target)`
`static boolean` `canExistEReference_3002(org.eclipse.emf.ecore.EClass source, org.eclipse.emf.ecore.EClassifier target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreBaseItemSemanticEditPolicy.LinkConstraints

    public EcoreBaseItemSemanticEditPolicy.LinkConstraints()

Method Detail

### canCreateEAnnotationReferences_3001

    public static boolean canCreateEAnnotationReferences_3001(org.eclipse.emf.ecore.EAnnotation source,
                                                              org.eclipse.emf.ecore.EObject target)

### canCreateEReference_3002

    public static boolean canCreateEReference_3002(org.eclipse.emf.ecore.EClass source,
                                                   org.eclipse.emf.ecore.EClassifier target)

### canCreateEClassESuperTypes_3003

    public static boolean canCreateEClassESuperTypes_3003(org.eclipse.emf.ecore.EClass source,
                                                          org.eclipse.emf.ecore.EClass target)

### canExistEAnnotationReferences_3001

    public static boolean canExistEAnnotationReferences_3001(org.eclipse.emf.ecore.EAnnotation source,
                                                             org.eclipse.emf.ecore.EObject target)

### canExistEReference_3002

    public static boolean canExistEReference_3002(org.eclipse.emf.ecore.EClass source,
                                                  org.eclipse.emf.ecore.EClassifier target)

### canExistEClassESuperTypes_3003

    public static boolean canExistEClassESuperTypes_3003(org.eclipse.emf.ecore.EClass source,
                                                         org.eclipse.emf.ecore.EClass target)

Copyright 2007 Anyware Technologies. All Rights Reserved.